%define version	        1.0.4
%define release	        %mkrel 1

Name:	                kdissert	        
Summary:	        Mindmapping-like tool 
Version:		%{version}
Release:		%{release}
Group:		        Office
License:		GPL
URL:			http://freehackers.org/~tnagy/kdissert/index.html
Source0:		http://freehackers.org/~tnagy/kdissert/%name-%version.tar.bz2
BuildRoot:	        %{_tmppath}/%{name}-%{version}-%{release}-root
#Requires:		%{libname} = %{version}
BuildRequires:          scons
BuildRequires:		kdebase
BuildRequires:		kdebase-devel

%description
kdissert is a mindmapping-like tool to help students to 
produce complicated documents very quickly and efficiently : 
presentations, dissertations, thesis, reports ... The concept 
is innovative : mindmaps produced using kdissert are processed 
to output near-ready-to-use documents. While targetted mostly at 
students, kdissert can also help teachers, decision maker, engineers 
and businessmen.

%prep
%setup -q

%build
%define __libtoolize /bin/true

#(neoclust) Disable rpath
perl -pi -e "s/rpath//" SConstruct

./runme.sh

%if "%{_lib}" == "lib64"
./runme.sh configure libsuffix=64
%else
./runme.sh configure
%endif

DESTDIR=$RPM_BUILD_ROOT scons  install

#%install
#rm -rf $RPM_BUILD_ROOT
#%makeinstall_std

mkdir -p %{buildroot}/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "Office/Presentations" $RPM_BUILD_ROOT%_datadir/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT
 
%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/kdissert
%_menudir/kdissert

%_datadir/applnk/Utilities/%{name}.desktop
%_datadir/mimelnk/application/x-%{name}.desktop

%_datadir/apps/%{name}/%{name}ui.rc
%_datadir/apps/%{name}/pics/nopix.png
%_datadir/apps/%{name}/templatedata/kdissOOOdoc.tar.gz
%_datadir/apps/%{name}/templatedata/kdissOOOimpress.tar.gz
%_datadir/apps/%{name}/templatedata/kdissapplet.tar.gz
%_datadir/apps/%{name}/templatedata/kdissasciidoc.tar.gz
%_datadir/apps/%{name}/templatedata/kdissbeamerslides.tar.gz
%_datadir/apps/%{name}/templatedata/kdisshtmldoc.tar.gz
%_datadir/apps/%{name}/templatedata/kdisspdflatexarticle.tar.gz
%_datadir/apps/%{name}/templatedata/kdisspdflatexbook.tar.gz
%_datadir/apps/%{name}/templatedata/kdissprosperslides.tar.gz
%_datadir/apps/%{name}/templatedata/kdissstx.tar.gz
%_datadir/apps/%{name}/tips
%_datadir/apps/%{name}part/%{name}part.rc

%_datadir/doc/HTML/en/%{name}/index.cache.bz2
%_datadir/doc/HTML/en/%{name}/index.docbook
%_datadir/doc/HTML/en/%{name}/screenshot.jpg
%_datadir/doc/HTML/fr/%{name}/index.cache.bz2
%_datadir/doc/HTML/fr/%{name}/index.docbook

%_datadir/icons/hicolor/128x128/actions/%{name}_sort.png
%_datadir/icons/hicolor/128x128/apps/%{name}.png
%_datadir/icons/hicolor/16x16/actions/%{name}_link.png
%_datadir/icons/hicolor/16x16/actions/%{name}_point.png
%_datadir/icons/hicolor/16x16/actions/%{name}_sort.png
%_datadir/icons/hicolor/16x16/apps/%{name}.png
%_datadir/icons/hicolor/22x22/actions/%{name}_link.png
%_datadir/icons/hicolor/22x22/actions/%{name}_point.png
%_datadir/icons/hicolor/22x22/actions/%{name}_sort.png
%_datadir/icons/hicolor/22x22/apps/%{name}.png
%_datadir/icons/hicolor/32x32/actions/%{name}_link.png
%_datadir/icons/hicolor/32x32/actions/%{name}_point.png
%_datadir/icons/hicolor/32x32/actions/%{name}_sort.png
%_datadir/icons/hicolor/32x32/apps/%{name}.png
%_datadir/icons/hicolor/64x64/actions/%{name}_sort.png
%_datadir/icons/hicolor/64x64/apps/%{name}.png

%{_libdir}/kde3/libkdissOOOdoc.la
%{_libdir}/kde3/libkdissOOOdoc.so
%{_libdir}/kde3/libkdissOOOimpress.la
%{_libdir}/kde3/libkdissOOOimpress.so
%{_libdir}/kde3/libkdissapplet.la
%{_libdir}/kde3/libkdissapplet.so
%{_libdir}/kde3/libkdissasciidoc.la
%{_libdir}/kde3/libkdissasciidoc.so
%{_libdir}/kde3/libkdissbeamerslides.la
%{_libdir}/kde3/libkdissbeamerslides.so
%{_libdir}/kde3/libkdisshtmldoc.la
%{_libdir}/kde3/libkdisshtmldoc.so
%{_libdir}/kde3/libkdisspdflatexarticle.la
%{_libdir}/kde3/libkdisspdflatexarticle.so
%{_libdir}/kde3/libkdisspdflatexbook.la
%{_libdir}/kde3/libkdisspdflatexbook.so
%{_libdir}/kde3/libkdissprosperslides.la
%{_libdir}/kde3/libkdissprosperslides.so
%{_libdir}/kde3/libkdissstx.la
%{_libdir}/kde3/libkdissstx.so
%changelog
* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Thu Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.5-2mdk
- Fix Build for lib64

* Thu Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.5-1mdk
- 1.0.3.5
         - Bugfixes

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-3mdk
- disable rpath

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-2mdk
- Fix build on x86_64

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3.2-1mdk
- 1.0.3.2

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3-1mdk
- First Mandriva Package
